Page 1 of 1

Unsupported major.minor version 51.0

Posted: Wed Jan 29, 2014 9:21 pm
by puff
тэкс. прочел ссылку про ява-консоль. скачал. пробую запустить из терминала:
MacBook-Pro-puff:java_console_binary puff$ java -jar rusefi_console.jar /dev/tty.HC-06-DevB-1
Exception in thread "main" java.lang.UnsupportedClassVersionError: com/irnems/Launcher : Unsupported major.minor version 51.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)
at java.lang.ClassLoader.defineClass(ClassLoader.java:621)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
погуглил. выяснил, что мне нао скомилировать под мою версию:
java -version
java version "1.6.0_65"
Java(TM) SE Runtime Environment (build 1.6.0_65-b14-462-11M4609)
Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-462, mixed mode)

боюсь, не справлюсь с компиляцией)

Re: Unsupported major.minor version 51.0

Posted: Wed Jan 29, 2014 9:57 pm
by russian
Одной из библиотек, которая используется в dev console, нужна 7ая java. Так что компиляции 5ой или 6ой просто не будет - для консоли нужна 7ая версия. Для всех живих компов эта версия сейчас основная.